MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Member Functions
AudioOutputWrapper< T > Struct Template Reference

`#include <Wrapper.hxx>`

## Static Public Member Functions
static T & | Cast (AudioOutput &ao)
static AudioOutput * | Init (const ConfigBlock &block)
static void | Finish (AudioOutput *ao)
static void | Enable (AudioOutput *ao)
static void | Disable (AudioOutput *ao)
static void | Open (AudioOutput *ao, AudioFormat &audio_format)
static void | Close (AudioOutput *ao)
static gcc_pure std::chrono::steady_clock::duration | Delay (AudioOutput *ao)
static gcc_pure void | SendTag (AudioOutput *ao, const Tag &tag)
static size_t | Play (AudioOutput *ao, const void *chunk, size_t size)
static void | Drain (AudioOutput *ao)
static void | Cancel (AudioOutput *ao)
static gcc_pure bool | Pause (AudioOutput *ao)

## Detailed Description

### template<class T>
struct AudioOutputWrapper< T >

Definition at line 30 of file Wrapper.hxx.

## Member Function Documentation

template<class T >

static void AudioOutputWrapper< T >::Cancel | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 87 of file Wrapper.hxx.

template<class T >

static T& AudioOutputWrapper< T >::Cast | ( | AudioOutput & | ao | ) |
| inline static

Definition at line 31 of file Wrapper.hxx.

template<class T >

static void AudioOutputWrapper< T >::Close | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 60 of file Wrapper.hxx.

template<class T >

static gcc_pure std::chrono::steady_clock::duration AudioOutputWrapper< T >::Delay | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 66 of file Wrapper.hxx.

template<class T >

static void AudioOutputWrapper< T >::Disable | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 50 of file Wrapper.hxx.

template<class T >

static void AudioOutputWrapper< T >::Drain | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 82 of file Wrapper.hxx.

template<class T >

static void AudioOutputWrapper< T >::Enable | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 45 of file Wrapper.hxx.

template<class T >

static void AudioOutputWrapper< T >::Finish | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 40 of file Wrapper.hxx.

template<class T >

static AudioOutput* AudioOutputWrapper< T >::Init | ( | const ConfigBlock & | block | ) |
| inline static

Definition at line 35 of file Wrapper.hxx.

template<class T >

static void AudioOutputWrapper< T >::Open | ( | AudioOutput * | ao,
|  | AudioFormat & | audio_format
| ) |  |
| inline static

Definition at line 55 of file Wrapper.hxx.

template<class T >

static gcc_pure bool AudioOutputWrapper< T >::Pause | ( | AudioOutput * | ao | ) |
| inline static

Definition at line 93 of file Wrapper.hxx.

template<class T >

static size_t AudioOutputWrapper< T >::Play | ( | AudioOutput * | ao,
|  | const void * | chunk,
|  | size_t | size
| ) |  |
| inline static

Definition at line 77 of file Wrapper.hxx.

template<class T >

static gcc_pure void AudioOutputWrapper< T >::SendTag | ( | AudioOutput * | ao,
|  | const Tag & | tag
| ) |  |
| inline static

Definition at line 72 of file Wrapper.hxx.

The documentation for this struct was generated from the following file:

- output/Wrapper.hxx